{**
* 2007-2017 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Open Software License (OSL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/osl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
* @author    PrestaShop SA <contact@prestashop.com>
* @copyright 2007-2017 PrestaShop SA
* @license   http://opensource.org/licenses/osl-3.0.php Open Software License (OSL 3.0)
* International Registered Trademark & Property of PrestaShop SA
*}
{block name='product_miniature_item'}
<div class="product-miniature1 js-product-miniature" data-id-product="{$product.id_product}" data-id-product-attribute="{$product.id_product_attribute}" itemscope itemtype="http://schema.org/Product">
   <div class="thumbnail-container col-sm-12 col-md-5">
      <div class="special_block">
         <div class="image-block">
            {block name='product_thumbnail'}
            {if $product.cover}
            <a href="{$product.url}" class="thumbnail product-thumbnail">
            <img
               class="img-fluid lazyload"
               data-src="{$product.cover.bySize.home_default.url}"
               src="{$urls.img_url}megnor/home_default_loading.gif"               
               height="{$product.cover.bySize.home_default.height}"               
               width="{$product.cover.bySize.home_default.width}"
               alt="{if !empty($product.cover.legend)}{$product.cover.legend}{else}{$product.name|truncate:40:'...'}{/if}"
               loading="lazy"
               data-full-size-image-url="{$product.cover.large.url}"
               />
                  {hook h="displayCpHoverImage" id_product=$product.id_product home='home_default' large='home_default'}
            </a>
            {else}
            <a href="{$product.url}" class="thumbnail product-thumbnail">
            <img
               class="lazyload"
               data-src="{$urls.no_picture_image.bySize.home_default.url}"
               src="{$urls.img_url}megnor/home_default_loading.gif"
               height="{$urls.no_picture_image.bySize.home_default.height}"
               width="{$urls.no_picture_image.bySize.home_default.width}"
               loading="lazy"
               />
            </a>
            {/if}
            {/block} 
         </div>
         {include file='catalog/_partials/product-flags.tpl'} 
         <div class="highlighted-informations{if !$product.main_variants} no-variants{/if} hidden-sm-down">
            {block name='product_variants'}
            {if $product.main_variants}
            {include file='catalog/_partials/variant-links.tpl' variants=$product.main_variants}
            {/if}
            {/block}
         </div>
      </div>
      <div class="product-description col-sm-12 col-md-7">         
         {block name='product_name'}
         <span class="h3 product-title" itemprop="name"><a href="{$product.url}" title="{$product.name}">{$product.name}</a></span>
         {/block}
         {block name='product_description_short'}
            {if $product.description}
            {/if}
         {/block}         
         {block name='product_reviews'}
            {hook h='displayProductListReviews' product=$product}
         {/block}
         {block name='product_price_and_shipping'}

         {if $product.show_price}
         <div class="product-price-and-shipping">
            <span itemprop="price" class="price">{$product.price}</span>
            {if $product.has_discount}
            {hook h='displayProductPriceBlock' product=$product type="old_price"}               
            <span class="sr-only">{l s='Regular price' d='Shop.Theme.Global'}</span>
            <span class="regular-price">{$product.regular_price}</span>
            {/if}
            {hook h='displayProductPriceBlock' product=$product type="before_price"}           
            {hook h='displayProductPriceBlock' product=$product type='unit_price'}
            {hook h='displayProductPriceBlock' product=$product type='weight'}
         </div>
         {/if}
         {/block}         
         <div class="qtyprogress">
	         <span class="QuantityAvailable">{if $product.quantity <= 0}{l s='Unavilable:' d='Shop.Theme.Actions'}{else}{l s='Available:' d='Shop.Theme.Actions'}{/if}</span>
	         <span class="quantity">{$product.quantity}</span>
	         <div class="progress">
	            <div class="progress-bar" aria-label="qty-progress" role="progressbar"></div>
            </div>
         </div>
         {hook h='displayCountdown' product=$product }
      </div>
   </div>
</div>
{/block}