{**
* 2007-2017 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License 3.0 (AFL-3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* https://opensource.org/licenses/AFL-3.0
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
* @author    PrestaShop SA <contact@prestashop.com>
* @copyright 2007-2017 PrestaShop SA
* @license   https://opensource.org/licenses/AFL-3.0 Academic Free License 3.0 (AFL-3.0)
* International Registered Trademark & Property of PrestaShop SA
*}
<div class="product-add-to-cart js-product-add-to-cart">
   {if !$configuration.is_catalog}

   {block name='product_quantity'}
   <div class="product-quantity">
      <div class="product-double-quantity">
         <span class="control-label">{l s='Quantity' d='Shop.Theme.Catalog'}</span>
         <div class="qty">
            <input
            type="text"
            name="qty"
            id="quantity_wanted"
            inputmode="numeric"
            pattern="[0-9]*"
            {if $product.quantity_wanted}
            value="{$product.quantity_wanted}"
            min="{$product.minimal_quantity}"
            {else}
            value="1"
            min="1"
            {/if}
            class="input-group"
            aria-label="{l s='Quantity' d='Shop.Theme.Actions'}"
            >
         </div>
      </div>
      <div class="add">		
         <button
         class="btn btn-primary add-to-cart"
         data-button-action="add-to-cart"
         type="submit"
         {if !$product.add_to_cart_url}
         disabled
         {/if}
         >
         <i class="material-icons shopping-cart">&#xE547;</i>
         {l s='Add to cart' d='Shop.Theme.Actions'}
         </button>
      </div>
      {block name='product_minimal_quantity'}
       <p class="product-minimal-quantity js-product-minimal-quantity">
          {if $product.minimal_quantity > 1}
          {l
          s='The minimum purchase order quantity for the product is %quantity%.'
          d='Shop.Theme.Checkout'
          sprintf=['%quantity%' => $product.minimal_quantity]
          }
          {/if}
       </p>
       {/block}

       {block name='product_availability'}
        
        <div id="product-availability" class="js-product-availability js-product-availability-source">
          {if $product.show_availability && $product.availability_message}
            {if $product.availability == 'available'}
              <i class="material-icons rtl-no-flip product-available">&#xE5CA;</i>
            {elseif $product.availability == 'last_remaining_items'}
              <i class="material-icons product-last-items">&#xE002;</i>
            {else}
              <i class="material-icons product-unavailable">&#xE14B;</i>
            {/if}
            <span class="message">{$product.availability_message}</span>
          {/if}
        </div>
        
      {/block}

      <div class="wish-comp">    
        {hook h='displayStCompareButton' product=$product }
        {hook h='displayStWishlistButton' product=$product}
      </div>
   </div>
   
    <div class="clearfix"></div>      

   {/block}
   {/if}
</div>
